#!/usr/bin/perl
use blib;
use PerlSSL ':all';
use IO::Socket;

die "usage: $0 addr\n" unless $addr = shift;
($addr, $port) = split(/:/, $addr, 2);
$port ||= 443;

$sock = telnet("$addr:$port");

$ssl_ctx = PerlSSL::SSL::CTX->new();
$ssl = PerlSSL::SSL->new($ssl_ctx, 0, $sock);

sub telnet {
    my ($addr, $port) = @_;
    $addr = "$addr:$port" if $port;
    my $sock = IO::Socket::INET->new($addr)
        or die "can't connect: $!\n";
    return $sock;
}


1;
