#include "SiriSSL.h"

#define SSL_CIPHER_name         SSL_CIPHER_get_name
#define SSL_CIPHER_version      SSL_CIPHER_get_version

MODULE = SiriSSL::SSL_CIPHER    PACKAGE = SiriSSL::SSL_CIPHER   PREFIX = SSL_CIPHER_

SV *
SSL_CIPHER_description(cipher)
        SSL_CIPHER *cipher
        PREINIT:
                char *description;
        CODE:
                description = SSL_CIPHER_description(cipher, NULL, 0);
                RETVAL = newSVpv(description, 0);
                free(description);
        OUTPUT:
                RETVAL

char *
SSL_CIPHER_name(cipher)
        SSL_CIPHER *cipher

char *
SSL_CIPHER_version(cipher)
        SSL_CIPHER *cipher

int
SSL_CIPHER_bits(cipher)
        SSL_CIPHER *cipher
        CODE:
                RETVAL = SSL_CIPHER_get_bits(cipher, NULL);
        OUTPUT:
                RETVAL
